org.jboss.shrinkwrap.descriptor.api.connector17

## Enum ConfigPropertyTypeType

- java.lang.Object
- - java.lang.Enum<ConfigPropertyTypeType>
  - - org.jboss.shrinkwrap.descriptor.api.connector17.ConfigPropertyTypeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConfigPropertyTypeType>

      public enum ConfigPropertyTypeType
      extends java.lang.Enum<ConfigPropertyTypeType>

  This class implements the `config-property-typeType` xsd type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_JAVA_LANG_BOOLEAN`
    `_JAVA_LANG_BYTE`
    `_JAVA_LANG_CHARACTER`
    `_JAVA_LANG_DOUBLE`
    `_JAVA_LANG_FLOAT`
    `_JAVA_LANG_INTEGER`
    `_JAVA_LANG_LONG`
    `_JAVA_LANG_SHORT`
    `_JAVA_LANG_STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigPropertyTypeType` | `getFromStringValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static ConfigPropertyTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConfigPropertyTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _JAVA_LANG_BOOLEAN

          public static final ConfigPropertyTypeType _JAVA_LANG_BOOLEAN

    - #### _JAVA_LANG_STRING

          public static final ConfigPropertyTypeType _JAVA_LANG_STRING

    - #### _JAVA_LANG_INTEGER

          public static final ConfigPropertyTypeType _JAVA_LANG_INTEGER

    - #### _JAVA_LANG_DOUBLE

          public static final ConfigPropertyTypeType _JAVA_LANG_DOUBLE

    - #### _JAVA_LANG_BYTE

          public static final ConfigPropertyTypeType _JAVA_LANG_BYTE

    - #### _JAVA_LANG_SHORT

          public static final ConfigPropertyTypeType _JAVA_LANG_SHORT

    - #### _JAVA_LANG_LONG

          public static final ConfigPropertyTypeType _JAVA_LANG_LONG

    - #### _JAVA_LANG_FLOAT

          public static final ConfigPropertyTypeType _JAVA_LANG_FLOAT

    - #### _JAVA_LANG_CHARACTER

          public static final ConfigPropertyTypeType _JAVA_LANG_CHARACTER

  - ### Method Detail

    - #### values

          public static ConfigPropertyTypeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigPropertyTypeType c : ConfigPropertyTypeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigPropertyTypeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConfigPropertyTypeType>`

    - #### getFromStringValue

          public static ConfigPropertyTypeType getFromStringValue(java.lang.String value)

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)